# Data Center Helm Charts

[![Atlassian license](https://img.shields.io/badge/license-Apache%202.0-blue.svg?style=flat-square)](LICENSE) 
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](CONTRIBUTING.md) 
[![Maven unit tests](https://github.com/atlassian-labs/data-center-helm-charts/actions/workflows/maven.yml/badge.svg)](https://github.com/atlassian-labs/data-center-helm-charts/actions/workflows/maven.yml)

This project contains [Helm charts](https://helm.sh/) for Atlassian's [Data Center products](https://www.atlassian.com/enterprise/data-center).
The charts will allow the Data Center products to be easily installed and operated within a Kubernetes cluster,
whether it be a managed environment such as Amazon EKS, or a custom, on-premise system.

## Support disclaimer

These charts are **experimental and unsupported**, with the aim of introducing official support once they have been
stabilized.

If you find any issue or you have a feedback regarding the helm charts, please [raise a ticket](https://github.com/atlassian-labs/data-center-helm-charts/issues/new).

## Installation

[Installation guide](INSTALL.md) - To install helm charts, please follow separate installation document.

[Configuration guide](CONFIG.md) - For more details about configuration parameters.

## Contributions

Contributions are welcome. Please see [CONTRIBUTING.md](CONTRIBUTING.md) for details. 

## License

Copyright (c) [2021] Atlassian and others.
Apache 2.0 licensed, see [LICENSE](LICENSE) file.
